import 'package:json_annotation/json_annotation.dart';

part 'pay_item_bean.g.dart';

@JsonSerializable()
class PayItemBean {
  @JsonKey(name: 'id')
  int id;

  @JsonKey(name: 'payMethod')
  int payMethod;

  @JsonKey(name: 'payPlatform')
  int payPlatform;

  @JsonKey(name: 'title')
  String title;

  @JsonKey(name: 'isDefaultCheck')
  bool? isDefaultCheck;

  PayItemBean(this.id, this.payMethod, this.payPlatform, this.title,
      this.isDefaultCheck);

  factory PayItemBean.fromJson(Map<String, dynamic> json) =>
      _$PayItemBeanFromJson(json);

  PayItemBean copyWith() {
    return PayItemBean(id, payMethod, payPlatform, title, isDefaultCheck);
  }
}
